{
  "name": "@app/api",
  "private": true,
  "version": "0.1.0",
  "main": "build/main/cli/index.js",
  "author": "Abel Luck <abel@guardianproject.info>",
  "license": "AGPL-3.0-or-later",
  "dependencies": {
    "@adiwajshing/baileys": "4.4.0",
    "@adiwajshing/keyed-db": "0.2.4",
    "@app/config": "0.1.0",
    "@app/db": "0.1.0",
    "@digiresilience/amigo": "0.5.3",
    "@digiresilience/hapi-nextauth": "0.2.0",
    "@digiresilience/hapi-pg-promise": "^0.0.2",
    "@digiresilience/montar": "^0.1.2",
    "@digiresilience/node-signald": "0.0.3",
    "@graphile-contrib/pg-simplify-inflector": "^6.1.0",
    "@hapi/basic": "^6.0.0",
    "@hapi/boom": "^9.1.2",
    "@hapi/wreck": "^17.1.0",
    "@hapipal/schmervice": "^2.0.0",
    "@hapipal/toys": "^3.1.0",
    "blipp": "^4.0.2",
    "camelcase-keys": "^6.2.2",
    "fluent-ffmpeg": "^2.1.2",
    "graphile-migrate": "^1.0.2",
    "graphile-worker": "^0.11.0",
    "hapi-auth-jwt2": "^10.2.0",
    "hapi-postgraphile": "^0.11.0",
    "hapi-swagger": "^14.1.2",
    "joi": "^17.4.0",
    "jsonwebtoken": "^8.5.1",
    "jwks-rsa": "^2.0.3",
    "long": "^4.0.0",
    "p-memoize": "^4.0.1",
    "pg-monitor": "^1.4.1",
    "pg-promise": "^10.8.7",
    "postgraphile-plugin-connection-filter": "^2.2.1",
    "remeda": "^0.0.27",
    "twilio": "^3.61.0"
  },
  "devDependencies": {
    "@digiresilience/amigo-dev": "0.4.9",
    "@types/hapi__wreck": "^17.0.1",
    "@types/long": "^4.0.1",
    "jest-circus": "^26.6.3",
    "nodemon": "^2.0.7"
  },
  "nodemonConfig": {
    "ignore": [
      "docs/*"
    ],
    "ext": "ts,json,js"
  },
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "doc:html": "typedoc src/ --exclude '**/*.test.ts' --exclude '**/*.spec.ts' --name $npm_package_name --readme README.md --target es2019 --mode file --out build/docs",
    "doc": "yarn run doc:html",
    "fix:lint": "eslint src --ext .ts --fix",
    "fix:prettier": "prettier \"src/**/*.ts\" --write",
    "cli": "NODE_ENV=development nodemon --unhandled-rejections=strict build/main/cli/index.js",
    "serve": "NODE_ENV=development yarn cli server",
    "serve:prod": "NODE_ENV=production yarn cli server",
    "worker": "NODE_ENV=development yarn cli worker",
    "worker:prod": "NODE_ENV=production yarn cli worker",
    "test:jest": "JEST_CIRCUS=1 jest --coverage --forceExit --detectOpenHandles --reporters=default --reporters=jest-junit",
    "test:jest-verbose": "yarn test:jest --verbose --silent=false",
    "lint:lint": "eslint src --ext .ts",
    "lint:prettier": "prettier \"src/**/*.ts\" --list-different",
    "test": "yarn test:jest",
    "lint": "yarn lint:lint && yarn lint:prettier",
    "watch:build": "tsc -p tsconfig.json -w",
    "watch:test": "yarn test:jest --watchAll"
  }
}
